Loading...
Searching...
No Matches
packed_to_unpacked.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/endianness.h>`
`#include <cstdint>`
Include dependency graph for packed_to_unpacked.h:

Go to the source code of this file.

## Classes

class | gr::blocks::packed_to_unpacked< T >
| Convert a stream of packed bytes or shorts to stream of unpacked bytes or shorts. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef packed_to_unpacked< std::uint8_t > | gr::blocks::packed_to_unpacked_bb
typedef packed_to_unpacked< std::int16_t > | gr::blocks::packed_to_unpacked_ss
typedef packed_to_unpacked< std::int32_t > | gr::blocks::packed_to_unpacked_ii